#include <exec/types.h>

/* Return values from read_iff_header() */
#define RIFFH_SUCCESS 1
#define RIFFH_NOOPEN 3
#define RIFFH_INCOMPLETE 4
#define RIFFH_NOFORM 5
#define RIFFH_NOILBM 6

/* Return values from load_iff() */
#define LIFF_SUCCESS 1
#define LIFF_NOOPEN 3
#define LIFF_NOSEEK 4
#define LIFF_COLORERR 5
#define LIFF_BODYERR 6
#define LIFF_SIZEERR 7
#define LIFF_GETDATAERR 8
#define LIFF_MEMALLOCERR 9
#define LIFF_IMAGEREADERR 10

struct iff_header /* This info taken from STart Vol.1 Num.2 pg.42 */
{
  char form[4];         /* F O R M */
  ULONG file_size;    /* Length of file exclusive of FORM & this length code */
  char ilbm[4];         /* I L B M */
  char bmhd[4];         /* B M H D */
  ULONG header_size;    /* Length of header (expected to be 20 bytes) */
  UWORD width;          /* Width of form in pixels */
  UWORD height;         /* Height of form in pixels */
  UWORD x_pixel;        /* X pixel location (assumed to be 0) */
  UWORD y_pixel;        /* Y pixel location (assumed to be 0) */
  UBYTE num_planes;     /* Number of bit planes */
  UBYTE mask;           /* Masking */
  UBYTE compression;    /* 0 = no compression, 1 = RLE */
  UBYTE filler;         /* Unused filler byte */
  UWORD trans_color;    /* Transparent color pixel value */
  UBYTE x_aspect;       /* X aspect ratio */
  UBYTE y_aspect;       /* Y aspect ratio */
  UWORD page_width;     /* Page width */
  UWORD page_height;    /* Page height */
  char cmap[4];         /* C M A P */
  ULONG cmap_size;      /* Size of color map information segment */
};
